function [uf] = OEfiltr(u,f)
% u...vektor pro filtraci
% f...jmenovatel filtru
n = length(f);
g_old = zeros(1,n);
uf(1,1) = 0;
for i=2:length(u)
    uf(i,1) = u(i-1) - f'*g_old';
    g_old(2:n) = g_old(1:n-1);
    g_old(1) = uf(i,1);
end

